SafeURL Docs
API Reference

Scans

Create and retrieve URL scan jobs

POST
/v1/scans/

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

curl -X POST "https://loading/v1/scans/"
null
POST
/v1/scans/batch

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

curl -X POST "https://loading/v1/scans/batch"
null
GET
/v1/scans/

Response Body

curl -X GET "https://loading/v1/scans/"
Empty
Empty
Empty
GET
/v1/scans/{id}

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/v1/scans/497f6eca-6276-4993-bfeb-53cbbbba6f08"
null
null
null
GET
/v1/scans/{id}/events

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://loading/v1/scans/497f6eca-6276-4993-bfeb-53cbbbba6f08/events"
Empty
Empty
Empty
GET
/v1/scans/{id}/analytics

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://loading/v1/scans/497f6eca-6276-4993-bfeb-53cbbbba6f08/analytics"
Empty
Empty
Empty
Empty